@import '../../../../../assets/styles/common.scss';

.top-sidebar-container {
    width: 100%;
    display: flex;
    min-height: 80px;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: center;
    align-content: center;
    justify-content: space-between;
    box-shadow: 0 0 6px rgba(0,0,0,0.3);
    background-color: rgba($bgColor, 0.65);

    &-title {
        font-size: 24px;
        font-weight: bold;
        margin: 0px 0px 0px 18px;
        text-transform: uppercase;
        color: rgba(#2F4F4F, 0.75);
    }

    &-search {
        color: white;
        display: flex;
        flex-wrap: nowrap;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: calc(100% - 540px);

        &-button {

            &.mdl-button--icon {
                width: 24px;
                min-width: auto;
                margin: 0px 16px;

                &:hover {
                    opacity: 0.75;
                    background: none;
                }

                &:disabled {
                    &:hover {
                        opacity: 1;
                    }
                }
            }
        }

        &-input {
            width: 100%;
            color: black;
            &.mdl-autocomplete {
                width: 100%;
            }

            .mdl-textfield__input {
                font-size: 20px;
            }

            .mdl-textfield__label {
                &:after {
                    background-color: rgba(255, 255, 255, 0.75);
                }
            }
        }
    }

    &-logout.mdl-chip {
        height: auto;
        cursor: pointer;
        margin-right: 20px;
        border-radius: 24px;
        transition: background-color 0.95s;
        background-color: rgba($bgColor, 0.35);

        &:hover {
            background-color: rgba($bgColor, 0.75);
        }

        .mdl-chip__text {
            color: white;
            font-size: 16px;
            padding: 0px 12px 0px 4px;
        }

        .mdl-chip__contact {
            width: 48px;
            height: 48px;
            color: white;
            font-size: 20px;
            border-radius: 36px;
            background-color: $bgColor;

            svg {
                margin: 12px 16px;
            }
        }
    }
}

@media screen and (max-width: 1024px) {
    .top-sidebar-container {
        &-title {
           font-size: 18px;
        }

        &-search {
            width: calc(100% - 420px);

            &-button {
                &.mdl-button--icon {
                    margin: 0px 8px;
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .top-sidebar-container {
        flex-wrap: wrap;
        align-items: center;
        padding-top: 0;
        min-height: 50px;
        max-height: 50px;

        &.minimize {
            min-height: 0;
            max-height: 0;
        }

        &-title {
            display: none;
        }

        &-search {
            order: 3;
            margin: 0px auto;
            width: calc(100% - 42px);

            &-button {
                &.mdl-button--icon {
                    margin-left: 0px;
                    margin-right: 24px;
                }
            }
        }

        &-logout.mdl-chip {
            top: 0px;
            right: 0px;
            height: 54px;
            padding: 0px;
            display: flex;
            position: fixed;
            margin-right: 0;
            padding-left: 12px;
            border-radius: 0px;
            flex-direction: row;
            align-items: center;
            transition: all 0.25s linear;
            border-top-left-radius: 26px;
            border-bottom-left-radius: 26px;

            .mdl-chip__contact {
                order: 2;
                transition: all 0.25s linear;
                background-color: darken($bgColor, 5);
            }

            &:hover {
                background-color: darken($bgColor, 5); 

                .mdl-chip__contact {
                    background-color: darken($bgColor, 15);
                }
            }
        }
    }
}

@media screen and (max-height: 420px) and (max-width: 768px) {
    .top-sidebar-container {
        height: 160px;
    }
}

@media screen and (max-width: 400px){
    .top-sidebar-container {
        height: 160px;

        &-logout.mdl-chip {
            border-radius: 0px;

            .mdl-chip__text {
                display: none;
            }

            &:hover {
                background: transparent;
            }
        }
    }
}
